[wingide-users] Can I fix this warning message?

Wingware Support support at wingware.com
Wed Apr 17 08:54:27 EDT 2013


Tobias Hoellrich wrote:
>
> Greetings – since earlier today I’ve been seeing this warning message 
> appear multiple times in the console where wing was started:
>
> ** (wing.py:2314): CRITICAL **: murrine_style_draw_box_gap: assertion 
> `width >= -1' failed
>
> This is 4.1.10-1 (rev 27942) on ubuntu-12.10-x64. I don’t see anything 
> wrong with the app, but was wondering if I should be worried or if 
> there’s anything I can do to avoid it.
>

This is actually harmless and caused by the particular display theme you 
are using. I don't know why they flag it as critical. It's complaining 
about a negative sized widget (which is admittedly odd, but just results 
in no display). Changing to another theme may fix it, although a number 
of themes seem to do this.

-- 

Stephan Deibel
Wingware | Python IDE
Advancing Software Development

www.wingware.com


More information about the wingide-users mailing list